package enverstest.model;

import org.hibernate.envers.RevisionEntity;
import org.hibernate.envers.RevisionNumber;
import org.hibernate.envers.RevisionTimestamp;

@RevisionEntity
public class Revision 
{
	@RevisionNumber
	private Long id = null;
	
	@RevisionTimestamp
	private Long timestamp = null;

	public Long getId() 
	{
		return id;
	}

	public void setId(Long id) 
	{
		this.id = id;
	}

	public Long getTimestamp() 
	{
		return timestamp;
	}

	public void setTimestamp(Long timestamp) 
	{
		this.timestamp = timestamp;
	}
}
